Package org.apache.commons.collections4.functors

# Class AbstractQuantifierPredicate<T>

java.lang.Object
org.apache.commons.collections4.functors.AbstractPredicate<T>
org.apache.commons.collections4.functors.AbstractQuantifierPredicate<T>

Type Parameters:
  `T` - the type of the input to the predicate.

All Implemented Interfaces:
  `Serializable`, `Predicate<T>`, `PredicateDecorator<T>`, `Predicate<T>`

Direct Known Subclasses:
  `AllPredicate`, `AnyPredicate`, `NonePredicate`, `OnePredicate`

public abstract class AbstractQuantifierPredicate<T> extends AbstractPredicate<T> implements PredicateDecorator<T>, Serializable
Abstract base class for quantification predicates, e.g. All, Any, None.

Since:
  4.0
See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final Predicate<? super T>[]`
  `iPredicates`
  The array of predicates to call

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractQuantifierPredicate(Predicate<? super T>... predicates)`
  Constructor that performs no validation.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Predicate<? super T>[]`
  `getPredicates()`
  Gets the predicates.

  ### Methods inherited from class org.apache.commons.collections4.functors.AbstractPredicate

  `evaluate`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.function.Predicate

  `and, negate, or`

  ### Methods inherited from interface org.apache.commons.collections4.Predicate

  `evaluate, test`

- ## Field Details

  - ### iPredicates

    protected final Predicate<? super T>[] iPredicates
    The array of predicates to call

- ## Constructor Details

  - ### AbstractQuantifierPredicate

    public AbstractQuantifierPredicate(Predicate<? super T>... predicates)
    Constructor that performs no validation.
    Parameters:
      `predicates` - the predicates to check, not cloned, not null

- ## Method Details

  - ### getPredicates

    public Predicate<? super T>[] getPredicates()
    Gets the predicates.
    Specified by:
      `getPredicates` in interface `PredicateDecorator<T>`
    Returns:
      a copy of the predicates
    Since:
      3.1